%{?nodejs_find_provides_and_requires}

%global packagename is-symbol
%global enable_tests 1
# tests temporarily disabled to bootstrap npm(tape)

Name:		nodejs-is-symbol
Version:	1.0.1
Release:	1%{?dist}
Summary:	Determine if a value is an ES6 Symbol or not.

License:	MIT
URL:		https://github.com/ljharb/is-symbol.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(tape)
%endif

Requires:	nodejs

%description
Determine if a value is an ES6 Symbol or not.


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs --es-staging --harmony test/index.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Mon Oct 26 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.1-1
- Initial packaging
